summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'www-apps/open-xchange/files/openexchange')
-rw-r--r--www-apps/open-xchange/files/openexchange59
1 files changed, 59 insertions, 0 deletions
diff --git a/www-apps/open-xchange/files/openexchange b/www-apps/open-xchange/files/openexchange
new file mode 100644
index 0000000..1f91da2
--- /dev/null
+++ b/www-apps/open-xchange/files/openexchange
@@ -0,0 +1,59 @@
+#! /bin/sh
+
+PROG_NAME="OX"
+
+groupware="/etc/open-xchange/init.d/groupware"
+webmail="/etc/open-xchange/init.d/webmail"
+sessiond="/etc/open-xchange/init.d/sessiond"
+
+case "$1" in
+ start)
+ echo "Starting all"
+ start="$sessiond start"
+ $start
+
+ start="$groupware start"
+ $start
+
+ start="$webmail start"
+ $start
+ ;;
+ stop)
+ echo "Stoping all"
+ stop="$sessiond stop"
+ $stop
+
+ stop="$groupware stop"
+ $stop
+
+ stop="$webmail stop"
+ $stop
+ ;;
+ restart)
+ echo "Restarting all"
+ restart="$sessiond restart"
+ $restart
+
+ restart="$groupware restart"
+ $restart
+
+ restart="$webmail restart"
+ $restart
+ ;;
+ status)
+ echo "Checking all"
+
+ status="$sessiond status"
+ $status
+
+ status="$groupware status"
+ $status
+
+ status="$webmail status"
+ $status
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|restart}"
+ exit 1
+ ;;
+esac